diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index fffdb4c..587d013 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -55458,7 +55458,7 @@ MakeUnaryCompiledFunction(S, D, I): Exports == Implementation where
     func: (SY, D) -> I
 
     func(name, x)       == FUNCALL(name, x, NIL$Lisp)$Lisp
-    unaryFunction name  == func(name, #1)
+    unaryFunction name  == (d1:D):I +-> func(name, d1)
 
     compiledFunction(e:S, x:SY) ==
       t := [convert([devaluate(D)$Lisp]$List(InputForm))
diff --git a/changelog b/changelog
index 5c754b4..333e228 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090606 tpd src/axiom-website/patches.html 20090606.07.tpd.patch
+20090606 tpd books/bookvol10.4 MKUCFUNC +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.06.tpd.patch
 20090606 tpd books/bookvol10.4 MKBCFUNC +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1ffa4bc..eb2bd07 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1475,5 +1475,7 @@ bookvol10.4 LF +-> conversion<br/>
 bookvol10.4 LIST2MAP +-> conversion<br/>
 <a href="patches/20090606.06.tpd.patch">20090606.06.tpd.patch</a>
 bookvol10.4 MKBCFUNC +-> conversion<br/>
+<a href="patches/20090606.07.tpd.patch">20090606.07.tpd.patch</a>
+bookvol10.4 MKUCFUNC +-> conversion<br/>
  </body>
 </html>
